xmonad-contrib-0.11.2: Third party extensions for xmonad

Portability | unportable
Stability | unstable
Maintainer | none
Safe Haskell | None

XMonad.Util.NamedWindows

Contents

- Usage

Description

This module allows you to associate the X titles of windows with them.

Synopsis

- data NamedWindow
- getName :: Window -> X NamedWindow
- withNamedWindow :: (NamedWindow -> X ()) -> X ()
- unName :: NamedWindow -> Window

# Usage

See XMonad.Layout.Tabbed for an example of its use.

data NamedWindow Source

Instances

Eq NamedWindow |
Ord NamedWindow |
Show NamedWindow |

getName :: Window -> X NamedWindow Source

withNamedWindow :: (NamedWindow -> X ()) -> X ()Source

unName :: NamedWindow -> Window Source